Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.renderable
Class GLSLRenderable

    java.lang.Object
      de.grogra.imp3d.glsl.renderable.GLSLRenderable

Direct Known Subclasses:
  GLSLInstanceableRenderable, GLSLNullRenderable, GLSLNURBSCurve, GLSLPlane

    public abstract class GLSLRenderable

extends java.lang.Object

Constructor Summary
`GLSLRenderable()`

Method Summary
`void` | `activateShader(OpenGLState glState, GLSLDisplay disp, Shader shader, boolean depthonly)`
`abstract void` | `draw(OpenGLState glState, RenderState rs)`
`void` | `drawAlt(OpenGLState glState, GLSLDisplay rs)`
`GLSLManagedShader` | `findShader(OpenGLState glState, GLSLDisplay disp, Shader shader)`
`abstract GLSLRenderable` | `getInstance()`
`abstract java.lang.Class<?>` | `instanceFor()`
`boolean` | `isShaderDependant(boolean depthonly)`
`abstract void` | `updateInstance(java.lang.Object reference, java.lang.Object state, boolean asNode, GraphState gs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GLSLRenderable

    public GLSLRenderable()

Method Detail

### activateShader

    public void activateShader(OpenGLState glState,
                               GLSLDisplay disp,
                               Shader shader,
                               boolean depthonly)

### draw

    public abstract void draw(OpenGLState glState,
                              RenderState rs)

### drawAlt

    public void drawAlt(OpenGLState glState,
                        GLSLDisplay rs)

### findShader

    public GLSLManagedShader findShader(OpenGLState glState,
                                        GLSLDisplay disp,
                                        Shader shader)

### getInstance

    public abstract GLSLRenderable getInstance()

### instanceFor

    public abstract java.lang.Class<?> instanceFor()

### isShaderDependant

    public boolean isShaderDependant(boolean depthonly)

### updateInstance

    public abstract void updateInstance(java.lang.Object reference,
                                        java.lang.Object state,
                                        boolean asNode,
                                        GraphState gs)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD